cvpnssn.vo

## Class PrestazioneErogataNSSN

- java.lang.Object
- - cvpnssn.vo.PrestazioneErogataNSSN

-     public class PrestazioneErogataNSSN
      extends java.lang.Object

  Contiene i dati della prescrizione erogata non coperta dal SSN

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `altriCosti` Ulteriori costi a carico del cittadino
    `private java.lang.String` | `codGruppoEquival` Codice del gruppo di equivalenza secondo la codifica AIFA, nel caso di prescrizione farmaceutica con principio attivo
    `private java.lang.String` | `codMotivazNonSost` Codici di motivazione di non sostituibilità di un farmaco
    `private java.lang.String` | `codProdPrest` Codice prodotto farmaceutico (AIC)
    `private java.lang.String` | `codProdPrestErog` Codice AIC del farmaco effettivamente erogato
    `private java.lang.String` | `dataErogazione` Data erogazione
    `private java.lang.String` | `dataScadenzaFarm` Data scadenza del periodo di erogazione per singolo farmaco calcolato in caso di ricette ripetibili
    `private java.lang.String` | `descGruppoEquival` Descrizione testuale del gruppo di equivalenza secondo la dizione AIFA.
    `private java.lang.String` | `descrProdPrest` Descrizione testuale della prescrizione farmaceutica come da Prontuario terapeutico.
    `private java.lang.String` | `descrProdPrestErog` Descrizione AIC del farmaco effettivamente erogato
    `private java.lang.String` | `descrTestoLiberoNote` Nota esplicativa di ciò che è stato prescritto
    `private java.lang.String` | `dispFust3` Informazioni aggiuntive Regioni
    `private java.lang.String` | `durataTrattamento` Data inizio e fine trattamento in testo libero
    `private java.lang.String` | `estremiDocumento` Estremi documento di riconoscimento dell'assistito
    `private java.lang.String` | `flagErog` Se mpostato ad S = il farmaco per cui il medico aveva espresso la clausola di non sostituibilità viene sostituito in fase di erogazione
    `private java.lang.String` | `identificativoProdPrest` Identificativo univoco della riga di farmaco all’interno della ricetta
    `private java.lang.String` | `modalitaImpiego` Modalità di impiego del farmaco in testo libero
    `private java.lang.String` | `motivazSostProd` Valore indicante il motivo della sostituzione nonostante la clausola di non sostituibilità espressa dal medico
    `private java.lang.String` | `nonSost` Se impostato a 1 indica che il prodotto, per cui è stato indicato il codice AIC, non può essere sostituito con altro prodotto
    `private java.lang.String` | `numPrestMancanti` Numero confezioni di farmaci mancanti per raggiungere il numero massimo di ripetizioni, in caso di ricette ripetibili
    `private java.lang.String` | `numRipetibilita` Numero di volte per cui il farmaco può essere ripetuto
    `private java.lang.String` | `posologia` Posologia del farmaco
    `private java.lang.String` | `preparazFarmaceutica` Descrizione in testo libero della preparazione farmaceutica
    `private java.lang.String` | `prescrizione1` Informazioni aggiuntive
    `private java.lang.String` | `prescrizione2` Informazioni aggiuntive riservate alle Regioni
    `private java.lang.String` | `prezzo` Prezzo al pubblico del prodotto farmaceutico
    `private java.lang.String` | `quantita` Quantità di confezioni prescritte
    `private java.lang.String` | `quantitaErogata` Quantità di prestazione effettivamente erogata
    `private java.lang.String` | `spedizRidottaFrazionata` Motivazione spedizione ridotta o frazionata
    `private java.lang.String` | `statoPresc` Stato in cui si trova la singola prescrizione di una ricetta Indica se la singola prescrizione è stata erogata oppure no.
    `private java.lang.String` | `targa` Numero identificativo univoco della singola confezione presente sulla fustella
    `private java.lang.String` | `tdl` Indica se il farmaco è prescritto per la Terapia del dolore (TDL): 0 = no 1 = sì
    `private java.lang.String` | `validitaFarm` Periodo di validità massimo entro cui può essere erogato il farmaco per ricette ripetibili/farmaco indicato in mesi

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrestazioneErogataNSSN()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAltriCosti()`
    `java.lang.String` | `getCodGruppoEquival()`
    `java.lang.String` | `getCodMotivazNonSost()`
    `java.lang.String` | `getCodProdPrest()`
    `java.lang.String` | `getCodProdPrestErog()`
    `java.lang.String` | `getDataErogazione()`
    `java.lang.String` | `getDataScadenzaFarm()`
    `java.lang.String` | `getDescGruppoEquival()`
    `java.lang.String` | `getDescrProdPrest()`
    `java.lang.String` | `getDescrProdPrestErog()`
    `java.lang.String` | `getDescrTestoLiberoNote()`
    `java.lang.String` | `getDispFust3()`
    `java.lang.String` | `getDurataTrattamento()`
    `java.lang.String` | `getEstremiDocumento()`
    `java.lang.String` | `getFlagErog()`
    `java.lang.String` | `getIdentificativoProdPrest()`
    `java.lang.String` | `getModalitaImpiego()`
    `java.lang.String` | `getMotivazSostProd()`
    `java.lang.String` | `getNonSost()`
    `java.lang.String` | `getNumPrestMancanti()`
    `java.lang.String` | `getNumRipetibilita()`
    `java.lang.String` | `getPosologia()`
    `java.lang.String` | `getPreparazFarmaceutica()`
    `java.lang.String` | `getPrescrizione1()`
    `java.lang.String` | `getPrescrizione2()`
    `java.lang.String` | `getPrezzo()`
    `java.lang.String` | `getQuantita()`
    `java.lang.String` | `getQuantitaErogata()`
    `java.lang.String` | `getSpedizRidottaFrazionata()`
    `java.lang.String` | `getStatoPresc()`
    `java.lang.String` | `getTarga()`
    `java.lang.String` | `getTdl()`
    `java.lang.String` | `getValiditaFarm()`
    `void` | `setAltriCosti(java.lang.String altriCosti)`
    `void` | `setCodGruppoEquival(java.lang.String codGruppoEquival)`
    `void` | `setCodMotivazNonSost(java.lang.String codMotivazNonSost)`
    `void` | `setCodProdPrest(java.lang.String codProdPrest)`
    `void` | `setCodProdPrestErog(java.lang.String codProdPrestErog)`
    `void` | `setDataErogazione(java.lang.String dataErogazione)`
    `void` | `setDataScadenzaFarm(java.lang.String dataScadenzaFarm)`
    `void` | `setDescGruppoEquival(java.lang.String descGruppoEquival)`
    `void` | `setDescrProdPrest(java.lang.String descrProdPrest)`
    `void` | `setDescrProdPrestErog(java.lang.String descrProdPrestErog)`
    `void` | `setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)`
    `void` | `setDispFust3(java.lang.String dispFust3)`
    `void` | `setDurataTrattamento(java.lang.String durataTrattamento)`
    `void` | `setEstremiDocumento(java.lang.String estremiDocumento)`
    `void` | `setFlagErog(java.lang.String flagErog)`
    `void` | `setIdentificativoProdPrest(java.lang.String identificativoProdPrest)`
    `void` | `setModalitaImpiego(java.lang.String modalitaImpiego)`
    `void` | `setMotivazSostProd(java.lang.String motivazSostProd)`
    `void` | `setNonSost(java.lang.String nonSost)`
    `void` | `setNumPrestMancanti(java.lang.String numPrestMancanti)`
    `void` | `setNumRipetibilita(java.lang.String numRipetibilita)`
    `void` | `setPosologia(java.lang.String posologia)`
    `void` | `setPreparazFarmaceutica(java.lang.String preparazFarmaceutica)`
    `void` | `setPrescrizione1(java.lang.String prescrizione1)`
    `void` | `setPrescrizione2(java.lang.String prescrizione2)`
    `void` | `setPrezzo(java.lang.String prezzo)`
    `void` | `setQuantita(java.lang.String quantita)`
    `void` | `setQuantitaErogata(java.lang.String quantitaErogata)`
    `void` | `setSpedizRidottaFrazionata(java.lang.String spedizRidottaFrazionata)`
    `void` | `setStatoPresc(java.lang.String statoPresc)`
    `void` | `setTarga(java.lang.String targa)`
    `void` | `setTdl(java.lang.String tdl)`
    `void` | `setValiditaFarm(java.lang.String validitaFarm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statoPresc

          private java.lang.String statoPresc

      Stato in cui si trova la singola prescrizione di una ricetta Indica se la singola prescrizione è stata erogata oppure no. Valori:
      - Prescrizione da erogare=1
      - Prescrizione erogata=2
      - Prescrizione non erogata facente parte di una ricetta le cui altre prestazioni sono state erogate e che risulta quindi chiusa totalmente=3

    - #### identificativoProdPrest

          private java.lang.String identificativoProdPrest

      Identificativo univoco della riga di farmaco all’interno della ricetta

    - #### codProdPrestErog

          private java.lang.String codProdPrestErog

      Codice AIC del farmaco effettivamente erogato

    - #### descrProdPrestErog

          private java.lang.String descrProdPrestErog

      Descrizione AIC del farmaco effettivamente erogato

    - #### flagErog

          private java.lang.String flagErog

      Se mpostato ad S = il farmaco per cui il medico aveva espresso la clausola di non sostituibilità viene sostituito in fase di erogazione

    - #### motivazSostProd

          private java.lang.String motivazSostProd

      Valore indicante il motivo della sostituzione nonostante la clausola di non sostituibilità espressa dal medico

    - #### targa

          private java.lang.String targa

      Numero identificativo univoco della singola confezione presente sulla fustella

    - #### prezzo

          private java.lang.String prezzo

      Prezzo al pubblico del prodotto farmaceutico

    - #### altriCosti

          private java.lang.String altriCosti

      Ulteriori costi a carico del cittadino

    - #### quantitaErogata

          private java.lang.String quantitaErogata

      Quantità di prestazione effettivamente erogata

    - #### dataErogazione

          private java.lang.String dataErogazione

      Data erogazione

    - #### dataScadenzaFarm

          private java.lang.String dataScadenzaFarm

      Data scadenza del periodo di erogazione per singolo farmaco calcolato in caso di ricette ripetibili

    - #### numPrestMancanti

          private java.lang.String numPrestMancanti

      Numero confezioni di farmaci mancanti per raggiungere il numero massimo di ripetizioni, in caso di ricette ripetibili

    - #### dispFust3

          private java.lang.String dispFust3

      Informazioni aggiuntive Regioni

    - #### codProdPrest

          private java.lang.String codProdPrest

      Codice prodotto farmaceutico (AIC)

    - #### descrProdPrest

          private java.lang.String descrProdPrest

      Descrizione testuale della prescrizione farmaceutica come da Prontuario terapeutico.

    - #### codGruppoEquival

          private java.lang.String codGruppoEquival

      Codice del gruppo di equivalenza secondo la codifica AIFA, nel caso di prescrizione farmaceutica con principio attivo

    - #### descGruppoEquival

          private java.lang.String descGruppoEquival

      Descrizione testuale del gruppo di equivalenza secondo la dizione AIFA. Il campo deve contenere la descrizione associata a codice gruppo equivalenza secondo la codifica AIFA

    - #### nonSost

          private java.lang.String nonSost

      Se impostato a 1 indica che il prodotto, per cui è stato indicato il codice AIC, non può essere sostituito con altro prodotto

    - #### codMotivazNonSost

          private java.lang.String codMotivazNonSost

      Codici di motivazione di non sostituibilità di un farmaco

    - #### tdl

          private java.lang.String tdl

      Indica se il farmaco è prescritto per la Terapia del dolore (TDL): 0 = no 1 = sì

    - #### descrTestoLiberoNote

          private java.lang.String descrTestoLiberoNote

      Nota esplicativa di ciò che è stato prescritto

    - #### quantita

          private java.lang.String quantita

      Quantità di confezioni prescritte

    - #### posologia

          private java.lang.String posologia

      Posologia del farmaco

    - #### durataTrattamento

          private java.lang.String durataTrattamento

      Data inizio e fine trattamento in testo libero

    - #### modalitaImpiego

          private java.lang.String modalitaImpiego

      Modalità di impiego del farmaco in testo libero

    - #### preparazFarmaceutica

          private java.lang.String preparazFarmaceutica

      Descrizione in testo libero della preparazione farmaceutica

    - #### numRipetibilita

          private java.lang.String numRipetibilita

      Numero di volte per cui il farmaco può essere ripetuto

    - #### validitaFarm

          private java.lang.String validitaFarm

      Periodo di validità massimo entro cui può essere erogato il farmaco per ricette ripetibili/farmaco indicato in mesi

    - #### prescrizione1

          private java.lang.String prescrizione1

      Informazioni aggiuntive

    - #### prescrizione2

          private java.lang.String prescrizione2

      Informazioni aggiuntive riservate alle Regioni

    - #### estremiDocumento

          private java.lang.String estremiDocumento

      Estremi documento di riconoscimento dell'assistito

    - #### spedizRidottaFrazionata

          private java.lang.String spedizRidottaFrazionata

      Motivazione spedizione ridotta o frazionata

  - ### Constructor Detail

    - #### PrestazioneErogataNSSN

          public PrestazioneErogataNSSN()

  - ### Method Detail

    - #### getStatoPresc

          public java.lang.String getStatoPresc()

    - #### setStatoPresc

          public void setStatoPresc(java.lang.String statoPresc)

    - #### getIdentificativoProdPrest

          public java.lang.String getIdentificativoProdPrest()

    - #### setIdentificativoProdPrest

          public void setIdentificativoProdPrest(java.lang.String identificativoProdPrest)

    - #### getCodProdPrestErog

          public java.lang.String getCodProdPrestErog()

    - #### setCodProdPrestErog

          public void setCodProdPrestErog(java.lang.String codProdPrestErog)

    - #### getDescrProdPrestErog

          public java.lang.String getDescrProdPrestErog()

    - #### setDescrProdPrestErog

          public void setDescrProdPrestErog(java.lang.String descrProdPrestErog)

    - #### getFlagErog

          public java.lang.String getFlagErog()

    - #### setFlagErog

          public void setFlagErog(java.lang.String flagErog)

    - #### getMotivazSostProd

          public java.lang.String getMotivazSostProd()

    - #### setMotivazSostProd

          public void setMotivazSostProd(java.lang.String motivazSostProd)

    - #### getTarga

          public java.lang.String getTarga()

    - #### setTarga

          public void setTarga(java.lang.String targa)

    - #### getPrezzo

          public java.lang.String getPrezzo()

    - #### setPrezzo

          public void setPrezzo(java.lang.String prezzo)

    - #### getAltriCosti

          public java.lang.String getAltriCosti()

    - #### setAltriCosti

          public void setAltriCosti(java.lang.String altriCosti)

    - #### getQuantitaErogata

          public java.lang.String getQuantitaErogata()

    - #### setQuantitaErogata

          public void setQuantitaErogata(java.lang.String quantitaErogata)

    - #### getDataErogazione

          public java.lang.String getDataErogazione()

    - #### setDataErogazione

          public void setDataErogazione(java.lang.String dataErogazione)

    - #### getDataScadenzaFarm

          public java.lang.String getDataScadenzaFarm()

    - #### setDataScadenzaFarm

          public void setDataScadenzaFarm(java.lang.String dataScadenzaFarm)

    - #### getNumPrestMancanti

          public java.lang.String getNumPrestMancanti()

    - #### setNumPrestMancanti

          public void setNumPrestMancanti(java.lang.String numPrestMancanti)

    - #### getDispFust3

          public java.lang.String getDispFust3()

    - #### setDispFust3

          public void setDispFust3(java.lang.String dispFust3)

    - #### getCodProdPrest

          public java.lang.String getCodProdPrest()

    - #### setCodProdPrest

          public void setCodProdPrest(java.lang.String codProdPrest)

    - #### getDescrProdPrest

          public java.lang.String getDescrProdPrest()

    - #### setDescrProdPrest

          public void setDescrProdPrest(java.lang.String descrProdPrest)

    - #### getCodGruppoEquival

          public java.lang.String getCodGruppoEquival()

    - #### setCodGruppoEquival

          public void setCodGruppoEquival(java.lang.String codGruppoEquival)

    - #### getDescGruppoEquival

          public java.lang.String getDescGruppoEquival()

    - #### setDescGruppoEquival

          public void setDescGruppoEquival(java.lang.String descGruppoEquival)

    - #### getNonSost

          public java.lang.String getNonSost()

    - #### setNonSost

          public void setNonSost(java.lang.String nonSost)

    - #### getCodMotivazNonSost

          public java.lang.String getCodMotivazNonSost()

    - #### setCodMotivazNonSost

          public void setCodMotivazNonSost(java.lang.String codMotivazNonSost)

    - #### getTdl

          public java.lang.String getTdl()

    - #### setTdl

          public void setTdl(java.lang.String tdl)

    - #### getDescrTestoLiberoNote

          public java.lang.String getDescrTestoLiberoNote()

    - #### setDescrTestoLiberoNote

          public void setDescrTestoLiberoNote(java.lang.String descrTestoLiberoNote)

    - #### getQuantita

          public java.lang.String getQuantita()

    - #### setQuantita

          public void setQuantita(java.lang.String quantita)

    - #### getPosologia

          public java.lang.String getPosologia()

    - #### setPosologia

          public void setPosologia(java.lang.String posologia)

    - #### getDurataTrattamento

          public java.lang.String getDurataTrattamento()

    - #### setDurataTrattamento

          public void setDurataTrattamento(java.lang.String durataTrattamento)

    - #### getModalitaImpiego

          public java.lang.String getModalitaImpiego()

    - #### setModalitaImpiego

          public void setModalitaImpiego(java.lang.String modalitaImpiego)

    - #### getPreparazFarmaceutica

          public java.lang.String getPreparazFarmaceutica()

    - #### setPreparazFarmaceutica

          public void setPreparazFarmaceutica(java.lang.String preparazFarmaceutica)

    - #### getNumRipetibilita

          public java.lang.String getNumRipetibilita()

    - #### setNumRipetibilita

          public void setNumRipetibilita(java.lang.String numRipetibilita)

    - #### getValiditaFarm

          public java.lang.String getValiditaFarm()

    - #### setValiditaFarm

          public void setValiditaFarm(java.lang.String validitaFarm)

    - #### getPrescrizione1

          public java.lang.String getPrescrizione1()

    - #### setPrescrizione1

          public void setPrescrizione1(java.lang.String prescrizione1)

    - #### getPrescrizione2

          public java.lang.String getPrescrizione2()

    - #### setPrescrizione2

          public void setPrescrizione2(java.lang.String prescrizione2)

    - #### getEstremiDocumento

          public java.lang.String getEstremiDocumento()

    - #### setEstremiDocumento

          public void setEstremiDocumento(java.lang.String estremiDocumento)

    - #### getSpedizRidottaFrazionata

          public java.lang.String getSpedizRidottaFrazionata()

    - #### setSpedizRidottaFrazionata

          public void setSpedizRidottaFrazionata(java.lang.String spedizRidottaFrazionata)